Ankündigung

Einklappen
Keine Ankündigung bisher.

Automatisch Radien an Polylinie?

Einklappen
X
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    Automatisch Radien an Polylinie?

    Hi,

    habe ca. 92 Rechtecke als Polylinie wo überall 6 Radien dran müssen. Im ACAD kann ich über abrunden nur eine Polylinie auswählen hat jemand ein Makro oder einen Tipp wie ich alle auswählen kann und dann der Radius von 6mm an jede Ecke gemacht wird?

    Mit freundlichen Grüßen




    Grebenauer Metallbau

    #2
    6mm radien

    Sind die Teile alle unterschiedlich?
    Grüße
    Benjamin

    Kommentar


      #3
      Ja. Alle Rechtecke haben unterschiedliche X und Y Maße...

      Ein paar auch die gleichen Maße aber die meisten sind unterschiedlich.

      Kommentar


        #4
        Hi Mister anonymous,
        kopiere die folgenden Zeilen als textdatei mit namen z.b. polyline_abrund.lsp in den autocad suchpfad.
        Lade des Programm mit dem Befehl (load "polyline_abrund").
        Dann gib im Autocad "polyline_abrund" ein.
        Viel Spaß
        Michl

        Kommentar


          #5
          Hi Michl,

          fehlt da noch ein Teil von deiner Nachricht? Ich weiß nicht welche Textzeilen du meinst

          Mit freundlichen Grüßen





          Manu

          Kommentar


            #6
            Stimmt, das Eigentliche hab ich vergessen:

            Code:
            (defun c:polyline_abrund ( / radius ausw radpre n)
             (princ "\nPolylinien abrunden im Batch, von Michael Bader")
             (setq radpre (getvar "filletrad")
                   radius (getreal "\nBitte gewünschten Radius angeben:")
                   n 0
             )
             (princ "\nPolylinen zum Abrunden wählen:")
             (setq  ausw (ssget))
             (setvar "filletrad" radius)
             (repeat (sslength ausw)
              (command "_fillet" "_p" (ssname ausw n))
              (setq n (1+ n))
             )
             
            )
            Michl
            Zuletzt geändert von Jono; 05.03.2014, 18:52. Grund: Lesbarkeit des Quelltextes

            Kommentar


              #7
              Hat mir beim Einfügen noch nen Smiley reingehauen:
              Die Zeile heißt Colyline_abrund !

              Kommentar


                #8
                c doppelpunkt polyline

                Kommentar


                  #9
                  Hi, danke. Das mit dem Smiley hab ich mir schon gedacht :-)

                  Funktioniert super.

                  Kommentar

                  Lädt...
                  X
                  Ja, auch diese Webseite verwendet Cookies. Hier erfahren Sie alles zum Datenschutz.